detekt-api
1.21.0-RC2

# AutoCorrectable

@ Target (allowedTargets = [ AnnotationTarget.CLASS ])
annotation class AutoCorrectable (val since: String )
Content copied to clipboard

Annotated io.gitlab.arturbosch.detekt.api.Rule or io.gitlab.arturbosch.detekt.api.RuleSetProvider is auto-correctable.

## Constructors

AutoCorrectable
Link copied to clipboard
fun AutoCorrectable (since: String )
Content copied to clipboard

## Properties

since
Link copied to clipboard
val since : String
Content copied to clipboard

The Detekt version since the rule is auto-correctable in the following format: <major>.<minor>.<patch>, where major, minor and patch are non-negative integer numbers.